@import url('https://fonts.googleapis.com/css2?family=Jolly+Lodger&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Naskh+Arabic:wght@500;700&display=swap');

:root {
    line-height: 1.5;
    font-weight: 400;
    --main-bg-color: #000015;
    --text-grey: #333333;
    --color-white: #F9F9F9;
    --color-black: #000000;
    --color-gradient: #000015;
    --color-primary: #FE772D;
    --color-secondary: #FE2D2D;
    --color-brown: #292929;
    --color-btn-text-one: #292D32;
    --color-btn-text-two: #131313;
    --color-light-white: #E6EAEE;


    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: 100%;
}

html {
    scroll-behavior: smooth;
    overflow-x:hidden;
}

html[dir="ltr"] body {
    font-family: 'Rubik', Arial, sans-serif;
}

html[dir="rtl"] body {
    font-family: 'Noto Naskh Arabic', serif;
}

body {
    background-color: var(--main-bg-color);
    margin: 0;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    align-content: center;
    min-width: 320px;
    min-height: 100vh;
    color: var(--color-white);
}


h2 {
    font-weight: 400;
    font-size: 58px;
    line-height: 81px;
    text-align: center;
    color: var(--color-primary);
    text-transform: uppercase;
}

html[dir="rtl"] h2 {
    font-family: 'Noto Naskh Arabic', serif;
}

html[dir="ltr"] h2 {
    font-family: 'Jolly Lodger', "Arial Narrow", sans-serif;
}

a {
    color: inherit;
    text-decoration: none;
}

#app {
    text-align: center;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
}

.heading {
    line-height: 140%;
    font-weight: 400;
}

html[dir="rtl"] .heading {
    font-family: 'Noto Naskh Arabic', serif;
}

html[dir="ltr"] .heading {
    font-family: 'Jolly Lodger', "Arial Narrow", sans-serif;
}

.heading--1 {
    font-size: 3.625rem;
    color: var(--color-primary);
    text-transform: uppercase;
}

.heading--2 {
    font-size: 2.25rem;
    text-transform: capitalize;
}

.centered-text {
    text-align: center;
}

.heading-section {
    margin-bottom: 3rem;
}

.section {
    margin: 6.25rem 0;
    position: relative;
}

.heading-section {
    margin-bottom: 3rem;
}

.bg-el {
    position: absolute;
    pointer-events: none;
    width: 100%;
    height: 100%;
}

.bg-el--bat {
    z-index: -1;
    top: -300px;
    background-size: 635px 593px;
    background-image: url('assets/images/bats.png');
    background-repeat: no-repeat;
}
